summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to 'test')
-rw-r--r--test/test-common.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/test/test-common.sh b/test/test-common.sh
index 2cbbe56..244e3b7 100644
--- a/test/test-common.sh
+++ b/test/test-common.sh
@@ -18,14 +18,19 @@ before() {
unset BUILDDIR
unset PKGEXT SRCEXT
unset GPGKEY PACKAGER
+ killall gpg-agent &>/dev/null || true
+
tmpdir="$(mktemp -d --tmpdir "test-${roundup_desc//\//-}.${roundup_test_name}.XXXXXXXXXXXX")"
chmod 755 "$tmpdir"
+
stat=0
+
common_before
}
after() {
common_after
+ killall gpg-agent &>/dev/null || true
if [[ -f "$tmpdir/.used-sudo" ]]; then
sudo rm -rf -- "$tmpdir" "$XDG_CONFIG_HOME" "$XDG_CACHE_HOME"
else